Loading...
Searching...
No Matches
XrdCms::SpaceData Class Reference

`#include <XrdCmsCluster.hh>`

Collaboration diagram for XrdCms::SpaceData:

## Public Member Functions

| SpaceData ()
| ~SpaceData ()

## Public Attributes

int | sFree
int | sNum
int | sUtil
long long | Total
long long | TotFr
int | wFree
int | wMinF
int | wNum
int | wUtil

## Detailed Description

Definition at line 82 of file XrdCmsCluster.hh.

## Constructor & Destructor Documentation

## SpaceData()

XrdCms::SpaceData::SpaceData | ( |  | ) |

inline

Definition at line 96 of file XrdCmsCluster.hh.

: Total(0), TotFr(0),wMinF(0),
wFree(0), wNum(0), wUtil(0),
sFree(0), sNum(0), sUtil(0) {}
XrdCms::SpaceData::wNum
int wNum
Definition XrdCmsCluster.hh:90
XrdCms::SpaceData::wFree
int wFree
Definition XrdCmsCluster.hh:89
XrdCms::SpaceData::sNum
int sNum
Definition XrdCmsCluster.hh:93
XrdCms::SpaceData::wUtil
int wUtil
Definition XrdCmsCluster.hh:91
XrdCms::SpaceData::sFree
int sFree
Definition XrdCmsCluster.hh:92
XrdCms::SpaceData::wMinF
int wMinF
Definition XrdCmsCluster.hh:88
XrdCms::SpaceData::sUtil
int sUtil
Definition XrdCmsCluster.hh:94
XrdCms::SpaceData::Total
long long Total
Definition XrdCmsCluster.hh:86
XrdCms::SpaceData::TotFr
long long TotFr
Definition XrdCmsCluster.hh:87

References sFree, sNum, sUtil, Total, TotFr, wFree, wMinF, wNum, and wUtil.

## ~SpaceData()

XrdCms::SpaceData::~SpaceData | ( |  | ) |

inline

Definition at line 99 of file XrdCmsCluster.hh.

{}

## Member Data Documentation

## sFree

int XrdCms::SpaceData::sFree

Definition at line 92 of file XrdCmsCluster.hh.

Referenced by SpaceData(), XrdCmsNode::do_StatFS(), and XrdCmsCluster::Space().

## sNum

int XrdCms::SpaceData::sNum

Definition at line 93 of file XrdCmsCluster.hh.

Referenced by SpaceData(), XrdCmsNode::do_StatFS(), and XrdCmsCluster::Space().

## sUtil

int XrdCms::SpaceData::sUtil

Definition at line 94 of file XrdCmsCluster.hh.

Referenced by SpaceData(), XrdCmsNode::do_StatFS(), and XrdCmsCluster::Space().

## Total

long long XrdCms::SpaceData::Total

Definition at line 86 of file XrdCmsCluster.hh.

Referenced by SpaceData(), XrdCmsNode::do_StatFS(), and XrdCmsCluster::Space().

## TotFr

long long XrdCms::SpaceData::TotFr

Definition at line 87 of file XrdCmsCluster.hh.

Referenced by SpaceData(), XrdCmsNode::do_StatFS(), and XrdCmsCluster::Space().

## wFree

int XrdCms::SpaceData::wFree

Definition at line 89 of file XrdCmsCluster.hh.

Referenced by SpaceData(), XrdCmsNode::do_StatFS(), and XrdCmsCluster::Space().

## wMinF

int XrdCms::SpaceData::wMinF

Definition at line 88 of file XrdCmsCluster.hh.

Referenced by SpaceData(), and XrdCmsCluster::Space().

## wNum

int XrdCms::SpaceData::wNum

Definition at line 90 of file XrdCmsCluster.hh.

Referenced by SpaceData(), XrdCmsNode::do_StatFS(), and XrdCmsCluster::Space().

## wUtil

int XrdCms::SpaceData::wUtil

Definition at line 91 of file XrdCmsCluster.hh.

Referenced by SpaceData(), XrdCmsNode::do_StatFS(), and XrdCmsCluster::Space().

The documentation for this class was generated from the following file:

- XrdCmsCluster.hh